Package com.logicaldoc.core.automation.directives

# Class Ifnotnull

java.lang.Object
org.apache.velocity.runtime.directive.Directive
com.logicaldoc.core.automation.directives.Ifnotnull

All Implemented Interfaces:
  `Cloneable`, `org.apache.velocity.runtime.directive.DirectiveConstants`

public class Ifnotnull extends org.apache.velocity.runtime.directive.Directive

## Field Summary

### Fields inherited from interface org.apache.velocity.runtime.directive.DirectiveConstants

`BLOCK, LINE`

## Constructor Summary

Constructors
Constructor
Description
`Ifnotnull()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`int`
`getType()`
`boolean`
`render(org.apache.velocity.context.InternalContextAdapter context, Writer writer, org.apache.velocity.runtime.parser.node.Node node)`

### Methods inherited from class org.apache.velocity.runtime.directive.Directive

`checkArgs, getColumn, getLine, getScopeName, getTemplate, getTemplateName, init, isScopeProvided, setLocation, setLocation`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Ifnotnull

public Ifnotnull()

## Method Details

### getName

public String getName()

Specified by:
  `getName` in class `org.apache.velocity.runtime.directive.Directive`

### getType

public int getType()

Specified by:
  `getType` in class `org.apache.velocity.runtime.directive.Directive`

### render

public boolean render(org.apache.velocity.context.InternalContextAdapter context, Writer writer, org.apache.velocity.runtime.parser.node.Node node) throws IOException, org.apache.velocity.exception.ResourceNotFoundException, org.apache.velocity.exception.ParseErrorException, org.apache.velocity.exception.MethodInvocationException

Specified by:
  `render` in class `org.apache.velocity.runtime.directive.Directive`
Throws:
  `IOException`
  `org.apache.velocity.exception.ResourceNotFoundException`
  `org.apache.velocity.exception.ParseErrorException`
  `org.apache.velocity.exception.MethodInvocationException`